package service

import "be.ems/src/modules/network_element/model"

// INeVersion 网元版本信息 服务层接口
type INeVersion interface {
	// SelectPage 根据条件分页查询字典类型
	SelectPage(query map[string]any) map[string]any

	// SelectList 根据实体查询
	SelectList(neVersion model.NeVersion) []model.NeVersion

	// SelectById 通过ID查询
	SelectById(id string) model.NeVersion

	// Insert 新增信息
	Insert(neVersion model.NeVersion) string

	// Update 修改信息
	Update(neVersion model.NeVersion) int64

	// DeleteByIds 批量删除信息
	DeleteByIds(ids []string) (int64, error)

	// SelectByTypeAndID 通过网元类型和网元ID查询
	SelectByTypeAndID(neType, neId string) model.NeVersion

	// CheckUniqueTypeAndID 校验网元类型和网元ID是否唯一
	CheckUniqueTypeAndID(neType, neId, id string) bool
}
